@Echo Off
Set DIRPATH=.\
Set DIROPT=/B /S

For /F "usebackq tokens=*" %%i In ( `Dir %DIROPT% "%DIRPATH%*.KIF"` ) Do Call :Add1 "%%~i"

Echo 全てのファイルの変換が終了しました。
Echo.
Echo 何かキーを押すとウィンドウを終了します。
Echo.
Echo [END]
Pause>NUL
Exit /B 0

:Add1
Set CUTFILE=%~1
setlocal enabledelayedexpansion
set /a Y=1600+%RANDOM%*419/32768
setlocal enabledelayedexpansion
set /a M=1+%RANDOM%*9/32768
setlocal enabledelayedexpansion
set /a D=10+%RANDOM%*19/32768
echo 開始日時：%Y%/0%M%/%D%>tmp.txt
Echo [%CUTFILE%]ファイルの先頭1行にランダムに生成した「開始日時」行を追加し、
Echo [%CUTFILE%]に追記して上書き出力します。
For /F  %%i In ("%CUTFILE%") Do copy /b tmp.txt+%CUTFILE% tmp.txt
Move /Y tmp.txt "%CUTFILE%"

Echo.

Exit /B